Subject: [ldapext] Re: draft-ietf-ldapext-locate

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Thu, 15 Aug 2002 08:57:58 -0700

I had a number of discussions with WHOIS/LDAP folks.
Basically, since the registrar/registry doesn't have
authority over _ldap._tcp.paf.se, they shouldn't
name their entries "dc=paf,dc=se".  I suggested they
name them "dc=paf,dc=se,o=whois" and then define
their own DNS SRV based location process for DNs
under o=whois.

Of course, if Jeff's proposal was adopted, this approach
wouldn't work.  They would have to do something like:
whoisdc=paf,whois=se,o=whois.  And the next application
needing it's own chunk of namespace couldn't use dc
either...  so we end up with a DC-like attribute for
each application space.  yuk!

Kurt

At 12:11 PM 2002-08-14, Patrik Fältström wrote:
>--On 2002-08-13 14.50 -0700 Paul Leach <[email-masked]> wrote:
>
>> It isn't _the_ naming convention for the Internet. It isn't even _the_
>> naming convention for LDAP. If you want to think of it this way, I guess
>> one could say that it is _the_ convention for LDAP DNs that contain DC
>> components, but not for ones that don't.
>
>Good, I am happy with that, but, this probably have to be spelled out
>explicitly.
>
>Example of a problem:
>
>Take the domain name issues, and the project which try to have LDAP access
>to Whois data.
>
>We have whois data both at the registry and the registar about a domain
>name. In the project, both records, the referral thing in the registry and
>the actual whois info at the registrar use the same DN, and that is exactly
>the dc components of the domain name itself. And, then the user himself
>probably want/will have an LDAP server himself for the same DN.
>
>Example, my domain paf.se with "dc=paf, dc=se" might exists on three
>different locations.
>
>The registry, the registrar and myself.
>
>    paf

_______________________________________________
Ldapext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ldapext